---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo delete`

Delete an existing repository on GitLab.

```plaintext
glab repo delete [<NAMESPACE>/]<NAME> [flags]
```

## Examples

```plaintext
# Delete a personal repository.
$ glab repo delete dotfiles

# Delete a repository in a GitLab group, or another repository
# you have write access to:
$ glab repo delete mygroup/dotfiles
$ glab repo delete myorg/mynamespace/dotfiles
 
```

## Options

```plaintext
  -y, --yes   Skip the confirmation prompt and immediately delete the repository.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
